Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038827
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-06-25 14:002018-08-02 09:12
ReportershuehnerView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisioned73bce3ae3b
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase version10Ant version
Product VersionpiSCM revision763131a6ac15 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038827: Some trigger error messages are not shown nicely when using PostgreSQL version 10 (shows part of technical error)

DescriptionWhen a database transaction throws an exception the ErrorTextParser class tries to parse it and translates it into a usable end-user message and shows that instead.

That parsing fails with pg10 and parts of the technical exception is shown mixed with the translated message.

When fixing the issue the existing unit tests (in ErrorTextParserTest class) for the parser should get a new test-case to cover the fix.
Steps To ReproduceStart with instance having 18Q3 (or at least pi containing those)
Important: Have project to 'reject setting a module in development' when instance purpose is 'Production'.

Change Role to System Administrator
Set instance purpose to 'Production'
Go to module window
Edit entry to 'core' module and mark 'In Development' as active.
Save the edited record.

Expected error message:
Saving failed. Cannot have modules in "In Development" status in a Production instance

Actual error message when using postgresql version10.
Saving failed. Cannot have modules in "In Development" status in a Production instance Where: PL/pgSQL function ad_module_trg() line 33 at RAISE

Here part of the 'Stacktrace' of the error message comes up in the translated text.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0036911 closedalostale support PostgreSQL 10 
depends on backport 00388293.0PR18Q2.2 closedcaristu Some trigger error messages are not shown nicely when using PostgreSQL version 10 (shows part of technical error) 
causes defect 0038907 closedcaristu DB errors which several OB messages are not correctly parsed in PG 

-  Notes
(0105359)
shuehner (administrator)
2018-06-25 14:02

Note:
Issue can be seen when using postgres version 10. Difference in behavior may have been introduced earlier already.

Also issue was found in CI by weekly test-run against pg10:
https://ci.openbravo.com//job/try-initial-pgsql/7013/ [^]
(0105487)
hgbot (developer)
2018-06-28 12:21

Repository: erp/devel/pi
Changeset: 9452a1f4fa8a763ee51c1059422034d76245e5ef
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 28 12:20:33 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9452a1f4fa8a763ee51c1059422034d76245e5ef [^]

related to issue 38827: minor code improvements

---
M src/org/openbravo/erpCommon/utility/ErrorTextParserPOSTGRE.java
---
(0105488)
hgbot (developer)
2018-06-28 12:27

Repository: erp/devel/pi
Changeset: ed73bce3ae3b093cba0908df13b6ffabb73f6564
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 28 12:23:51 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ed73bce3ae3b093cba0908df13b6ffabb73f6564 [^]

fixes issue 38827: Some trigger error messages not shown nicely in PG10

  Using capturing groups to retrieve just the DB message (it is surrounded by @) with the regular expression matcher.

---
M src/org/openbravo/erpCommon/utility/ErrorTextParserPOSTGRE.java
---
(0105489)
hgbot (developer)
2018-06-28 12:30

Repository: erp/devel/pi
Changeset: d3d16bc3e4bb81d4d55926388be98cec7761de6c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 28 12:30:20 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d3d16bc3e4bb81d4d55926388be98cec7761de6c [^]

related to issue 38827: added test case

---
M src-test/src/org/openbravo/test/system/ErrorTextParserTest.java
M src/org/openbravo/test/system/ErrorTextParserTest_data.xsql
---
(0105498)
hgbot (developer)
2018-06-28 16:25

Repository: erp/devel/pi
Changeset: 25f89f3e6667d80854e3d1b06a251ecb202e49bb
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 28 16:24:40 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/25f89f3e6667d80854e3d1b06a251ecb202e49bb [^]

related to issue 38827: fix to avoid random test failures

---
M src-test/src/org/openbravo/test/system/ErrorTextParserTest.java
M src/org/openbravo/test/system/ErrorTextParserTest_data.xsql
---
(0105510)
AugustoMauch (developer)
2018-06-29 15:04

Code review and verified
(0105512)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test
(0105513)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test
(0105514)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test
(0105517)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-25 14:00 shuehner New Issue
2018-06-25 14:00 shuehner Assigned To => platform
2018-06-25 14:00 shuehner Modules => Core
2018-06-25 14:00 shuehner Triggers an Emergency Pack => No
2018-06-25 14:02 shuehner Note Added: 0105359
2018-06-25 15:18 caristu Relationship added related to 0036911
2018-06-25 15:18 caristu Status new => scheduled
2018-06-26 18:02 caristu Assigned To platform => caristu
2018-06-28 12:21 hgbot Checkin
2018-06-28 12:21 hgbot Note Added: 0105487
2018-06-28 12:27 hgbot Checkin
2018-06-28 12:27 hgbot Note Added: 0105488
2018-06-28 12:27 hgbot Status scheduled => resolved
2018-06-28 12:27 hgbot Resolution open => fixed
2018-06-28 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ed73bce3ae3b093cba0908df13b6ffabb73f6564 [^]
2018-06-28 12:30 hgbot Checkin
2018-06-28 12:30 hgbot Note Added: 0105489
2018-06-28 12:31 caristu Review Assigned To => AugustoMauch
2018-06-28 16:25 hgbot Checkin
2018-06-28 16:25 hgbot Note Added: 0105498
2018-06-29 15:04 AugustoMauch Note Added: 0105510
2018-06-29 15:04 AugustoMauch Status resolved => closed
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105512
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105513
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105514
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105517
2018-08-02 09:12 alostale Fixed in Version => 3.0PR18Q3
2018-08-02 09:12 alostale Relationship added causes 0038907


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker